package cn.cecep.talroad.mapper;

import cn.cecep.talroad.domain.BasElecProCepMap;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @className: BasElecProCepMapMapper
 * @description: TODO 类描述 
 * @author: Mr.Yanghongtao
 * @date: 2023/06/29 17:53
 * @Company: Copyright© [2023/06/29 17:53] by [Mr.Yanghongtao]
 **/
@Mapper
public interface BasElecProCepMapMapper extends BaseMapper<BasElecProCepMap> {
    int insertSelective(BasElecProCepMap record);

    int updateByPrimaryKeySelective(BasElecProCepMap record);

    int updateBatch(List<BasElecProCepMap> list);

    int updateBatchSelective(List<BasElecProCepMap> list);

    int batchInsert(@Param("list") List<BasElecProCepMap> list);

    int insertOrUpdate(BasElecProCepMap record);

    int insertOrUpdateSelective(BasElecProCepMap record);
}